Fingerprint_Card

Loading...
Searching...
No Matches
ZwipeTester.Program Class Reference

## Static Private Member Functions
static int | Usage ()
static string | GetRemoteFilePath (string relativePath, string remotePath)
static BuildArtifact | DeserializeArtifact (string path, string remotePath, string tempFolderPath)
static string | CopyZip (string sourcePath, string tempFolderPath)
static BuildArtifactInfo | DeserializeBuildArtifactInfo (string path)
static void | SerializeBuildArtifactInfo (string path, BuildArtifactInfo product)
static int | Collect (string[] args)
static int | Merge (string[] args)
static string | FormatName (string name)
static void | SaveUpdatedBuildArtifactInfo (BuildArtifact artifact, BuildArtifactInfo product, string outputPath)
static void | SaveTestResults (string artifactPath, BuildArtifact artifact, TestSuites result, string outputPath)
static int | Test (string[] args)
static int | Main (string[] args)

## Static Private Attributes
const string | ArtifactExtension = ".json"

## Member Function Documentation

## ◆ Collect()

int ZwipeTester.Program.Collect | ( | string[] | args | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CopyZip()

string ZwipeTester.Program.CopyZip | ( | string | sourcePath,
|  | string | tempFolderPath )
| static private

Here is the caller graph for this function:

## ◆ DeserializeArtifact()

BuildArtifact ZwipeTester.Program.DeserializeArtifact | ( | string | path,
|  | string | remotePath,
|  | string | tempFolderPath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ DeserializeBuildArtifactInfo()

BuildArtifactInfo ZwipeTester.Program.DeserializeBuildArtifactInfo | ( | string | path | ) |
| static private

Here is the caller graph for this function:

## ◆ FormatName()

string ZwipeTester.Program.FormatName | ( | string | name | ) |
| static private

Here is the caller graph for this function:

## ◆ GetRemoteFilePath()

string ZwipeTester.Program.GetRemoteFilePath | ( | string | relativePath,
|  | string | remotePath )
| static private

Here is the caller graph for this function:

## ◆ Main()

int ZwipeTester.Program.Main | ( | string[] | args | ) |
| static private

Here is the call graph for this function:

## ◆ Merge()

int ZwipeTester.Program.Merge | ( | string[] | args | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SaveTestResults()

void ZwipeTester.Program.SaveTestResults | ( | string | artifactPath,
|  | BuildArtifact | artifact,
|  | TestSuites | result,
|  | string | outputPath )
| static private

Here is the caller graph for this function:

## ◆ SaveUpdatedBuildArtifactInfo()

void ZwipeTester.Program.SaveUpdatedBuildArtifactInfo | ( | BuildArtifact | artifact,
|  | BuildArtifactInfo | product,
|  | string | outputPath )
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SerializeBuildArtifactInfo()

void ZwipeTester.Program.SerializeBuildArtifactInfo | ( | string | path,
|  | BuildArtifactInfo | product )
| static private

Here is the caller graph for this function:

## ◆ Test()

int ZwipeTester.Program.Test | ( | string[] | args | ) |
| static private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Usage()

int ZwipeTester.Program.Usage | ( |  | ) |
| static private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ ArtifactExtension

const string ZwipeTester.Program.ArtifactExtension = ".json"
| static private

The documentation for this class was generated from the following file:

- ZwipeTester/Program.cs